
package au.gov.qld.health.clientdirectory;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


/**
 * <p>Java class for CardDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CardDetails">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="medicare" type="{http://health.qld.gov.au/clientdirectory}CardIdentifier" minOccurs="0"/>
 *         &lt;element name="dva" type="{http://health.qld.gov.au/clientdirectory}CardIdentifier" minOccurs="0"/>
 *         &lt;element name="pension" type="{http://health.qld.gov.au/clientdirectory}CardIdentifier" minOccurs="0"/>
 *         &lt;element name="safetyNet" type="{http://health.qld.gov.au/clientdirectory}CardIdentifier" minOccurs="0"/>
 *         &lt;element name="healthCare" type="{http://health.qld.gov.au/clientdirectory}CardIdentifier" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CardDetails", propOrder = {
    "medicare",
    "dva",
    "pension",
    "safetyNet",
    "healthCare"
})
public class CardDetails {

    protected CardIdentifier medicare;
    protected CardIdentifier dva;
    protected CardIdentifier pension;
    protected CardIdentifier safetyNet;
    protected CardIdentifier healthCare;

    /**
     * Gets the value of the medicare property.
     * 
     * @return
     *     possible object is
     *     {@link CardIdentifier }
     *     
     */
    public CardIdentifier getMedicare() {
        return medicare;
    }

    /**
     * Sets the value of the medicare property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardIdentifier }
     *     
     */
    public void setMedicare(CardIdentifier value) {
        this.medicare = value;
    }

    /**
     * Gets the value of the dva property.
     * 
     * @return
     *     possible object is
     *     {@link CardIdentifier }
     *     
     */
    public CardIdentifier getDva() {
        return dva;
    }

    /**
     * Sets the value of the dva property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardIdentifier }
     *     
     */
    public void setDva(CardIdentifier value) {
        this.dva = value;
    }

    /**
     * Gets the value of the pension property.
     * 
     * @return
     *     possible object is
     *     {@link CardIdentifier }
     *     
     */
    public CardIdentifier getPension() {
        return pension;
    }

    /**
     * Sets the value of the pension property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardIdentifier }
     *     
     */
    public void setPension(CardIdentifier value) {
        this.pension = value;
    }

    /**
     * Gets the value of the safetyNet property.
     * 
     * @return
     *     possible object is
     *     {@link CardIdentifier }
     *     
     */
    public CardIdentifier getSafetyNet() {
        return safetyNet;
    }

    /**
     * Sets the value of the safetyNet property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardIdentifier }
     *     
     */
    public void setSafetyNet(CardIdentifier value) {
        this.safetyNet = value;
    }

    /**
     * Gets the value of the healthCare property.
     * 
     * @return
     *     possible object is
     *     {@link CardIdentifier }
     *     
     */
    public CardIdentifier getHealthCare() {
        return healthCare;
    }

    /**
     * Sets the value of the healthCare property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardIdentifier }
     *     
     */
    public void setHealthCare(CardIdentifier value) {
        this.healthCare = value;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }

    @Override
    public boolean equals(Object that) {
        return EqualsBuilder.reflectionEquals(this, that);
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }

}
