
package au.gov.qld.health.clientdirectory;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


/**
 * <p>Java class for Identifier complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Identifier">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="clientDirectoryIdentifier" type="{http://health.qld.gov.au/clientdirectory}ClientDirectoryIdentifier"/>
 *         &lt;element name="localIdentifier" type="{http://health.qld.gov.au/clientdirectory}LocalIdentifier" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Identifier", propOrder = {
    "clientDirectoryIdentifier",
    "localIdentifier"
})
public class Identifier {

    @XmlElement(required = true)
    protected ClientDirectoryIdentifier clientDirectoryIdentifier;
    protected List<LocalIdentifier> localIdentifier;

    /**
     * Gets the value of the clientDirectoryIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link ClientDirectoryIdentifier }
     *     
     */
    public ClientDirectoryIdentifier getClientDirectoryIdentifier() {
        return clientDirectoryIdentifier;
    }

    /**
     * Sets the value of the clientDirectoryIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClientDirectoryIdentifier }
     *     
     */
    public void setClientDirectoryIdentifier(ClientDirectoryIdentifier value) {
        this.clientDirectoryIdentifier = value;
    }

    /**
     * Gets the value of the localIdentifier property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the localIdentifier property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLocalIdentifier().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link LocalIdentifier }
     * 
     * 
     */
    public List<LocalIdentifier> getLocalIdentifier() {
        if (localIdentifier == null) {
            localIdentifier = new ArrayList<LocalIdentifier>();
        }
        return this.localIdentifier;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }

    @Override
    public boolean equals(Object that) {
        return EqualsBuilder.reflectionEquals(this, that);
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }

}
