
package au.gov.qld.health.clientdirectory;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


/**
 * <p>Java class for GetPerson complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetPerson">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="identifier">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="clientDirectoryIdentifier" type="{http://health.qld.gov.au/clientdirectory}ClientDirectoryIdentifier"/>
 *                   &lt;element name="localIdentifier" type="{http://health.qld.gov.au/clientdirectory}LocalIdentifier"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetPerson", propOrder = {
    "identifier"
})
public class GetPerson {

    @XmlElement(required = true)
    protected GetPerson.Identifier identifier;

    /**
     * Gets the value of the identifier property.
     * 
     * @return
     *     possible object is
     *     {@link GetPerson.Identifier }
     *     
     */
    public GetPerson.Identifier getIdentifier() {
        return identifier;
    }

    /**
     * Sets the value of the identifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetPerson.Identifier }
     *     
     */
    public void setIdentifier(GetPerson.Identifier value) {
        this.identifier = value;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }

    @Override
    public boolean equals(Object that) {
        return EqualsBuilder.reflectionEquals(this, that);
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="clientDirectoryIdentifier" type="{http://health.qld.gov.au/clientdirectory}ClientDirectoryIdentifier"/>
     *         &lt;element name="localIdentifier" type="{http://health.qld.gov.au/clientdirectory}LocalIdentifier"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "clientDirectoryIdentifier",
        "localIdentifier"
    })
    public static class Identifier {

        protected ClientDirectoryIdentifier clientDirectoryIdentifier;
        protected LocalIdentifier localIdentifier;

        /**
         * Gets the value of the clientDirectoryIdentifier property.
         * 
         * @return
         *     possible object is
         *     {@link ClientDirectoryIdentifier }
         *     
         */
        public ClientDirectoryIdentifier getClientDirectoryIdentifier() {
            return clientDirectoryIdentifier;
        }

        /**
         * Sets the value of the clientDirectoryIdentifier property.
         * 
         * @param value
         *     allowed object is
         *     {@link ClientDirectoryIdentifier }
         *     
         */
        public void setClientDirectoryIdentifier(ClientDirectoryIdentifier value) {
            this.clientDirectoryIdentifier = value;
        }

        /**
         * Gets the value of the localIdentifier property.
         * 
         * @return
         *     possible object is
         *     {@link LocalIdentifier }
         *     
         */
        public LocalIdentifier getLocalIdentifier() {
            return localIdentifier;
        }

        /**
         * Sets the value of the localIdentifier property.
         * 
         * @param value
         *     allowed object is
         *     {@link LocalIdentifier }
         *     
         */
        public void setLocalIdentifier(LocalIdentifier value) {
            this.localIdentifier = value;
        }

        @Override
        public String toString() {
            return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
        }

        @Override
        public boolean equals(Object that) {
            return EqualsBuilder.reflectionEquals(this, that);
        }

        @Override
        public int hashCode() {
            return HashCodeBuilder.reflectionHashCode(this);
        }

    }

}
