
package au.gov.qld.health.clientdirectory;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the au.gov.qld.health.clientdirectory package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DemographicSearchRequest_QNAME = new QName("http://health.qld.gov.au/clientdirectory", "demographicSearchRequest");
    private final static QName _GetPersonRequest_QNAME = new QName("http://health.qld.gov.au/clientdirectory", "getPersonRequest");
    private final static QName _GetIdentifierListRequest_QNAME = new QName("http://health.qld.gov.au/clientdirectory", "getIdentifierListRequest");
    private final static QName _PersonResponse_QNAME = new QName("http://health.qld.gov.au/clientdirectory", "personResponse");
    private final static QName _IdentifierResponse_QNAME = new QName("http://health.qld.gov.au/clientdirectory", "identifierResponse");
    private final static QName _DemographicSearchResponse_QNAME = new QName("http://health.qld.gov.au/clientdirectory", "demographicSearchResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: au.gov.qld.health.clientdirectory
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Person }
     * 
     */
    public Person createPerson() {
        return new Person();
    }

    /**
     * Create an instance of {@link Demographic }
     * 
     */
    public Demographic createDemographic() {
        return new Demographic();
    }

    /**
     * Create an instance of {@link au.gov.qld.health.clientdirectory.Identifier }
     * 
     */
    public au.gov.qld.health.clientdirectory.Identifier createIdentifier() {
        return new au.gov.qld.health.clientdirectory.Identifier();
    }

    /**
     * Create an instance of {@link GetPerson }
     * 
     */
    public GetPerson createGetPerson() {
        return new GetPerson();
    }

    /**
     * Create an instance of {@link Address }
     * 
     */
    public Address createAddress() {
        return new Address();
    }

    /**
     * Create an instance of {@link DemographicSearch }
     * 
     */
    public DemographicSearch createDemographicSearch() {
        return new DemographicSearch();
    }

    /**
     * Create an instance of {@link GetPerson.Identifier }
     * 
     */
    public GetPerson.Identifier createGetPersonIdentifier() {
        return new GetPerson.Identifier();
    }

    /**
     * Create an instance of {@link Status }
     * 
     */
    public Status createStatus() {
        return new Status();
    }

    /**
     * Create an instance of {@link CardDetails }
     * 
     */
    public CardDetails createCardDetails() {
        return new CardDetails();
    }

    /**
     * Create an instance of {@link ClientDirectoryIdentifier }
     * 
     */
    public ClientDirectoryIdentifier createClientDirectoryIdentifier() {
        return new ClientDirectoryIdentifier();
    }

    /**
     * Create an instance of {@link Demographic.Death }
     * 
     */
    public Demographic.Death createDemographicDeath() {
        return new Demographic.Death();
    }

    /**
     * Create an instance of {@link IdentifierSearch.Identifier }
     * 
     */
    public IdentifierSearch.Identifier createIdentifierSearchIdentifier() {
        return new IdentifierSearch.Identifier();
    }

    /**
     * Create an instance of {@link IdentifierResponse }
     * 
     */
    public IdentifierResponse createIdentifierResponse() {
        return new IdentifierResponse();
    }

    /**
     * Create an instance of {@link CardIdentifier }
     * 
     */
    public CardIdentifier createCardIdentifier() {
        return new CardIdentifier();
    }

    /**
     * Create an instance of {@link PersonResponse }
     * 
     */
    public PersonResponse createPersonResponse() {
        return new PersonResponse();
    }

    /**
     * Create an instance of {@link Telephone }
     * 
     */
    public Telephone createTelephone() {
        return new Telephone();
    }

    /**
     * Create an instance of {@link LocalIdentifier }
     * 
     */
    public LocalIdentifier createLocalIdentifier() {
        return new LocalIdentifier();
    }

    /**
     * Create an instance of {@link IdentifierSearch }
     * 
     */
    public IdentifierSearch createIdentifierSearch() {
        return new IdentifierSearch();
    }

    /**
     * Create an instance of {@link SearchResponse }
     * 
     */
    public SearchResponse createSearchResponse() {
        return new SearchResponse();
    }

    /**
     * Create an instance of {@link Demographic.Birth }
     * 
     */
    public Demographic.Birth createDemographicBirth() {
        return new Demographic.Birth();
    }

    /**
     * Create an instance of {@link SearchResult }
     * 
     */
    public SearchResult createSearchResult() {
        return new SearchResult();
    }

    /**
     * Create an instance of {@link AlternateIdentifier }
     * 
     */
    public AlternateIdentifier createAlternateIdentifier() {
        return new AlternateIdentifier();
    }

    /**
     * Create an instance of {@link Name }
     * 
     */
    public Name createName() {
        return new Name();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DemographicSearch }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://health.qld.gov.au/clientdirectory", name = "demographicSearchRequest")
    public JAXBElement<DemographicSearch> createDemographicSearchRequest(DemographicSearch value) {
        return new JAXBElement<DemographicSearch>(_DemographicSearchRequest_QNAME, DemographicSearch.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifierSearch }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://health.qld.gov.au/clientdirectory", name = "getPersonRequest")
    public JAXBElement<IdentifierSearch> createGetPersonRequest(IdentifierSearch value) {
        return new JAXBElement<IdentifierSearch>(_GetPersonRequest_QNAME, IdentifierSearch.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifierSearch }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://health.qld.gov.au/clientdirectory", name = "getIdentifierListRequest")
    public JAXBElement<IdentifierSearch> createGetIdentifierListRequest(IdentifierSearch value) {
        return new JAXBElement<IdentifierSearch>(_GetIdentifierListRequest_QNAME, IdentifierSearch.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://health.qld.gov.au/clientdirectory", name = "personResponse")
    public JAXBElement<PersonResponse> createPersonResponse(PersonResponse value) {
        return new JAXBElement<PersonResponse>(_PersonResponse_QNAME, PersonResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifierResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://health.qld.gov.au/clientdirectory", name = "identifierResponse")
    public JAXBElement<IdentifierResponse> createIdentifierResponse(IdentifierResponse value) {
        return new JAXBElement<IdentifierResponse>(_IdentifierResponse_QNAME, IdentifierResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://health.qld.gov.au/clientdirectory", name = "demographicSearchResponse")
    public JAXBElement<SearchResponse> createDemographicSearchResponse(SearchResponse value) {
        return new JAXBElement<SearchResponse>(_DemographicSearchResponse_QNAME, SearchResponse.class, null, value);
    }

}
